<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html lang="en">

<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <title>LCOV - salidacoverage.info - /usr/include/c++/7/bits/stl_algobase.h - functions</title>
  <link rel="stylesheet" type="text/css" href="../../../../../gcov.css">
</head>

<body>

  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="title">LCOV - code coverage report</td></tr>
    <tr><td class="ruler"><img src="../../../../../glass.png" width=3 height=3 alt=""></td></tr>

    <tr>
      <td width="100%">
        <table cellpadding=1 border=0 width="100%">
          <tr>
            <td width="10%" class="headerItem">Current view:</td>
            <td width="35%" class="headerValue"><a href="../../../../../index.html">top level</a> - <a href="index.html">usr/include/c++/7/bits</a> - stl_algobase.h<span style="font-size: 80%;"> (<a href="stl_algobase.h.gcov.html">source</a> / functions)</span></td>
            <td width="5%"></td>
            <td width="15%"></td>
            <td width="10%" class="headerCovTableHead">Hit</td>
            <td width="10%" class="headerCovTableHead">Total</td>
            <td width="15%" class="headerCovTableHead">Coverage</td>
          </tr>
          <tr>
            <td class="headerItem">Test:</td>
            <td class="headerValue">salidacoverage.info</td>
            <td></td>
            <td class="headerItem">Lines:</td>
            <td class="headerCovTableEntry">47</td>
            <td class="headerCovTableEntry">49</td>
            <td class="headerCovTableEntryHi">95.9 %</td>
          </tr>
          <tr>
            <td class="headerItem">Date:</td>
            <td class="headerValue">2019-06-10 10:35:58</td>
            <td></td>
            <td class="headerItem">Functions:</td>
            <td class="headerCovTableEntry">33</td>
            <td class="headerCovTableEntry">41</td>
            <td class="headerCovTableEntryMed">80.5 %</td>
          </tr>
          <tr><td><img src="../../../../../glass.png" width=3 height=3 alt=""></td></tr>
        </table>
      </td>
    </tr>

    <tr><td class="ruler"><img src="../../../../../glass.png" width=3 height=3 alt=""></td></tr>
  </table>

  <center>
  <table width="60%" cellpadding=1 cellspacing=1 border=0>
    <tr><td><br></td></tr>
    <tr>
      <td width="80%" class="tableHead">Function Name <span class="tableHeadSort"><a href="stl_algobase.h.func.html"><img src="../../../../../updown.png" width=10 height=14 alt="Sort by function name" title="Sort by function name" border=0></a></span></td>
      <td width="20%" class="tableHead">Hit count <span class="tableHeadSort"><img src="../../../../../glass.png" width=10 height=14 alt="Sort by hit count" title="Sort by hit count" border=0></span></td>
    </tr>
    <tr>
              <td class="coverFn"><a href="stl_algobase.h.gcov.html#317">_ZNSt11__copy_moveILb0ELb0ESt26random_access_iterator_tagE8__copy_mIPSt6vectorIiSaIiEES6_EET0_T_S8_S7_</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_algobase.h.gcov.html#275">_ZSt12__niter_baseIPSt6vectorIiSaIiEEET_S4_</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_algobase.h.gcov.html#373">_ZSt13__copy_move_aILb0EPSt6vectorIiSaIiEES3_ET1_T0_S5_S4_</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_algobase.h.gcov.html#373">_ZSt13__copy_move_aILb0EPiS0_ET1_T0_S2_S1_</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_algobase.h.gcov.html#418">_ZSt14__copy_move_a2ILb0EPSt6vectorIiSaIiEES3_ET1_T0_S5_S4_</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_algobase.h.gcov.html#418">_ZSt14__copy_move_a2ILb0EPiS0_ET1_T0_S2_S1_</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_algobase.h.gcov.html#444">_ZSt4copyIPSt6vectorIiSaIiEES3_ET0_T_S5_S4_</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_algobase.h.gcov.html#444">_ZSt4copyIPiS0_ET0_T_S2_S1_</a></td>
              <td class="coverFnLo">0</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_algobase.h.gcov.html#317">_ZNSt11__copy_moveILb0ELb0ESt26random_access_iterator_tagE8__copy_mIPKSt6vectorIiSaIiEEPS5_EET0_T_SA_S9_</a></td>
              <td class="coverFnHi">4</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_algobase.h.gcov.html#747">_ZSt10__fill_n_aIPfmfEN9__gnu_cxx11__enable_ifIXsrSt11__is_scalarIT1_E7__valueET_E6__typeES6_T0_RKS4_</a></td>
              <td class="coverFnHi">4</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_algobase.h.gcov.html#373">_ZSt13__copy_move_aILb0EPKSt6vectorIiSaIiEEPS2_ET1_T0_S7_S6_</a></td>
              <td class="coverFnHi">4</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_algobase.h.gcov.html#418">_ZSt14__copy_move_a2ILb0EN9__gnu_cxx17__normal_iteratorIPKSt6vectorIiSaIiEES2_IS4_SaIS4_EEEENS1_IPS4_S8_EEET1_T0_SD_SC_</a></td>
              <td class="coverFnHi">4</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_algobase.h.gcov.html#444">_ZSt4copyIN9__gnu_cxx17__normal_iteratorIPKSt6vectorIiSaIiEES2_IS4_SaIS4_EEEENS1_IPS4_S8_EEET0_T_SD_SC_</a></td>
              <td class="coverFnHi">4</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_algobase.h.gcov.html#782">_ZSt6fill_nIPfmfET_S1_T0_RKT1_</a></td>
              <td class="coverFnHi">4</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_algobase.h.gcov.html#275">_ZSt12__niter_baseIPfET_S1_</a></td>
              <td class="coverFnHi">8</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_algobase.h.gcov.html#355">_ZNSt11__copy_moveILb0ELb1ESt26random_access_iterator_tagE8__copy_mIfEEPT_PKS3_S6_S4_</a></td>
              <td class="coverFnHi">28</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_algobase.h.gcov.html#373">_ZSt13__copy_move_aILb0EPKfPfET1_T0_S4_S3_</a></td>
              <td class="coverFnHi">28</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_algobase.h.gcov.html#418">_ZSt14__copy_move_a2ILb0EPKfPfET1_T0_S4_S3_</a></td>
              <td class="coverFnHi">28</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_algobase.h.gcov.html#444">_ZSt4copyIPKfPfET0_T_S4_S3_</a></td>
              <td class="coverFnHi">28</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_algobase.h.gcov.html#795">_ZNSt7__equalILb0EE5equalIPKSt6vectorIiSaIiEES6_EEbT_S7_T0_</a></td>
              <td class="coverFnHi">36</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_algobase.h.gcov.html#819">_ZSt11__equal_auxIPKSt6vectorIiSaIiEES4_EbT_S5_T0_</a></td>
              <td class="coverFnHi">36</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_algobase.h.gcov.html#1039">_ZSt5equalIN9__gnu_cxx17__normal_iteratorIPKSt6vectorIiSaIiEES2_IS4_SaIS4_EEEES9_EbT_SA_T0_</a></td>
              <td class="coverFnHi">36</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_algobase.h.gcov.html#275">_ZSt12__niter_baseIPKfET_S2_</a></td>
              <td class="coverFnHi">56</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_algobase.h.gcov.html#418">_ZSt14__copy_move_a2ILb0EN9__gnu_cxx17__normal_iteratorIPKiSt6vectorIiSaIiEEEENS1_IPiS6_EEET1_T0_SB_SA_</a></td>
              <td class="coverFnHi">199</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_algobase.h.gcov.html#444">_ZSt4copyIN9__gnu_cxx17__normal_iteratorIPKiSt6vectorIiSaIiEEEENS1_IPiS6_EEET0_T_SB_SA_</a></td>
              <td class="coverFnHi">199</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_algobase.h.gcov.html#809">_ZNSt7__equalILb1EE5equalIiEEbPKT_S4_S4_</a></td>
              <td class="coverFnHi">609</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_algobase.h.gcov.html#819">_ZSt11__equal_auxIPKiS1_EbT_S2_T0_</a></td>
              <td class="coverFnHi">609</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_algobase.h.gcov.html#1039">_ZSt5equalIN9__gnu_cxx17__normal_iteratorIPKiSt6vectorIiSaIiEEEES7_EbT_S8_T0_</a></td>
              <td class="coverFnHi">609</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_algobase.h.gcov.html#418">_ZSt14__copy_move_a2ILb0EPKiPiET1_T0_S4_S3_</a></td>
              <td class="coverFnHi">4761</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_algobase.h.gcov.html#444">_ZSt4copyIPKiPiET0_T_S4_S3_</a></td>
              <td class="coverFnHi">4761</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_algobase.h.gcov.html#275">_ZSt12__niter_baseIPKiET_S2_</a></td>
              <td class="coverFnHi">9522</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_algobase.h.gcov.html#217">_ZSt3maxImERKT_S2_S2_</a></td>
              <td class="coverFnHi">413375</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_algobase.h.gcov.html#355">_ZNSt11__copy_moveILb1ELb1ESt26random_access_iterator_tagE8__copy_mIiEEPT_PKS3_S6_S4_</a></td>
              <td class="coverFnHi">824328</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_algobase.h.gcov.html#373">_ZSt13__copy_move_aILb1EPiS0_ET1_T0_S2_S1_</a></td>
              <td class="coverFnHi">824328</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_algobase.h.gcov.html#418">_ZSt14__copy_move_a2ILb1EPiS0_ET1_T0_S2_S1_</a></td>
              <td class="coverFnHi">824328</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_algobase.h.gcov.html#444">_ZSt4copyISt13move_iteratorIPiES1_ET0_T_S4_S3_</a></td>
              <td class="coverFnHi">824328</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_algobase.h.gcov.html#418">_ZSt14__copy_move_a2ILb0EN9__gnu_cxx17__normal_iteratorIPKiSt6vectorIiSaIiEEEEPiET1_T0_SA_S9_</a></td>
              <td class="coverFnHi">26533234</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_algobase.h.gcov.html#444">_ZSt4copyIN9__gnu_cxx17__normal_iteratorIPKiSt6vectorIiSaIiEEEEPiET0_T_SA_S9_</a></td>
              <td class="coverFnHi">26533234</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_algobase.h.gcov.html#355">_ZNSt11__copy_moveILb0ELb1ESt26random_access_iterator_tagE8__copy_mIiEEPT_PKS3_S6_S4_</a></td>
              <td class="coverFnHi">26534114</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_algobase.h.gcov.html#373">_ZSt13__copy_move_aILb0EPKiPiET1_T0_S4_S3_</a></td>
              <td class="coverFnHi">26534114</td>
            </tr>
    <tr>
              <td class="coverFn"><a href="stl_algobase.h.gcov.html#275">_ZSt12__niter_baseIPiET_S1_</a></td>
              <td class="coverFnHi">29006899</td>
            </tr>
  </table>
  <br>
  </center>
  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="ruler"><img src="../../../../../glass.png" width=3 height=3 alt=""></td></tr>
    <tr><td class="versionInfo">Generated by: <a href="http://ltp.sourceforge.net/coverage/lcov.php" target="_parent">LCOV version 1.13</a></td></tr>
  </table>
  <br>

</body>
</html>
